package com.dbs.mplus.fatima.consent.webservice.model;

import org.ksoap2.serialization.SoapObject;

public class SaveMedicalHistory
{
    private static final String METHOD_NAME = "SaveMedicalHistory";
    private static final String NAMESPACE = "http://tempuri.org/";

    public String patientCode;
    public String clnDate;
    public String bp;
    public String dm;
    public String heart;
    public String kidney;
    public String respiration;
    public String hx;
    public String allergy;
    public String drug;
    public String smoking;
    public String idio;
    public String nacrotics;
    public String airway;
    public String hemorrhage;
    public String status_etc;
    public String userId;


	public SoapObject GetSoapParams()
	{
         SoapObject request = new SoapObject(NAMESPACE, METHOD_NAME);
     request.addProperty("patientCode", patientCode);
     request.addProperty("clnDate", clnDate);
     request.addProperty("bp", bp);
     request.addProperty("dm", dm);
     request.addProperty("heart", heart);
     request.addProperty("kidney", kidney);
     request.addProperty("respiration", respiration);
     request.addProperty("hx", hx);
     request.addProperty("allergy", allergy);
     request.addProperty("drug", drug);
     request.addProperty("smoking", smoking);
     request.addProperty("idio", idio);
     request.addProperty("nacrotics", nacrotics);
     request.addProperty("airway", airway);
     request.addProperty("hemorrhage", hemorrhage);
     request.addProperty("status_etc", status_etc);
     request.addProperty("userId", userId);


         return request;
	}

	public String GetSoapAction()
	{
		return NAMESPACE + METHOD_NAME;
	}

}
